=== debian/control ===
Source: php-vitexsoftware-pohoda-connector
Section: fintech
Priority: optional
Maintainer: Vítězslav Dvořák <info@vitexsoftware.cz>
Build-Depends: debhelper (>= 7.0.50~), composer, moreutils, jq, phpdocumentor, php-mbstring, php-curl, php-intl, debhelper-compat (= 10)
Standards-Version: 4.5.1
Homepage: https://github.com/VitexSoftware/PHP-Pohoda-Connector
Rules-Requires-Root: no
#Vcs-Git: https://salsa.debian.org/debian/php-vitexsoftware-pohoda-connector.git
#Vcs-Browser: https://salsa.debian.org/debian/php-vitexsoftware-pohoda-connector

Package: php-vitexsoftware-pohoda-connector
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, php-curl, php-xml, php-vitexsoftware-ease-core, composer
Provides: php-pohoda
Description: client library for Sormware's Pohoda mServer
    PHP library for communication with Pohoda mServer.
    .
    This package provides a simple way to communicate with Pohoda mServer
    using PHP.

Package: php-vitexsoftware-pohoda-connector-doc
Depends: ${misc:Depends}
Architecture: all
Suggests: www-browser
Section: doc
Priority: optional
Multi-Arch: foreign
Description: Documentation for php-vitexsoftware-pohoda-connector
    PHP library for communication with Pohoda mServer.
    .
    This package provides a simple way to communicate with Pohoda mServer
    using PHP.
    .
    This package contains the documentation.
